NL(1)

NAMN
nl — numrera rader i filer

SYNOPSIS
nl [FLAGGA]... [FIL]...

BESKRIVNING

Skriv varje FIL till standard ut och lägg till radnummer.

Utan FIL, eller när FIL är -, läs standard in.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-b, --body-numbering=STIL
    Använd STIL för att numrera rader i kroppen.

-d, --section-delimiter=CC
    Använd CC som avgränsare för logiska sidor.

-f, --footer-numbering=STIL
    Använd STIL för att numrera rader i foten.

-h, --header-numbering=STIL
    Använd STIL för att numrera rader i huvud.

-i, --line-increment=ANTAL
    Öka radnummer med ANTAL för varje rad.

-l, --join-blank-lines=ANTAL
    Grupp med ANTAL tomma rader räknade som en.

-n, --number-format=FORMAT
    Följ FORMAT när radnummer sätts in.

-p, --no-renumber
    Börja inte om radnummer för varje avsnitt.

-s, --number-separator=STRÄNG
    Lägg till STRÄNG efter (möjligt) radnummer.

-v, --starting-line-number=NUMMER
    Första radnumret på varje avsnitt.

-w, --number-width=ANTAL
    Använd ANTAL kolumner för radnummer.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Standardflaggor är: -bt -d'\:' -fn -hn -i1 -l1 -n'rn' -s<TAB> -v1 -w6

CC består av två avgränsningstecken som används för att skapa logiska sidavgränsare, saknas andra tecknet menas ”:”. Som ett GNU-tillägg kan man ange mer än två tecken, och även ange den tomma strången (-d ”) som avaktiverar sektionsmatchning.

STIL är en av:

a   numrera alla rader

t   numrera endast icketomma rader

n   numrera inga rader

pGRU
    numrera endast rader som stämmer med det grundläggande reguljära uttrycket, GRU

FORMAT är en av:

ln  vänsterjusterat, inga inledande nollor

rn  högerjusterad, inga inledande nollor

rz  högerjusterat, inledande nollor

UPPHOVSMAN
Skrivet av Scott Bartram och David MacKenzie.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/nl>
eller tillgängligt lokalt via: info '(coreutils) nl invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.